petsc-3.6.2 2015-10-02
Report Typos and Errors

# DMLocatePoints

Locate the points in v in the mesh and return an IS of the containing cells

### Synopsis

    #include "petscdm.h"
    PetscErrorCode DMLocatePoints(DM dm, Vec v, IS *cells)

Not collective

### Input Parameters

| dm | - The DM
| v | - The Vec of points

### Output Parameter

cells -The local cell numbers for cells which contain the points

### Keywords

point location, mesh

### See Also

DMSetCoordinates(), DMSetCoordinatesLocal(), DMGetCoordinates(), DMGetCoordinatesLocal()

Level:developer
Location:src/dm/interface/dm.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages